.page-404 {
  height: unset;
  padding: 187px 0;
  background: linear-gradient(360deg, #f3f3f3, #ffffff);
  position: relative;
}

.page-404 .curved-bottom {
  position: absolute;
  margin: 0 auto;
  left: 50%;
  right: 0;
  min-width: 1920px;
  width: 100%;
  transform: translateY(308px) translateX(-50%);
  bottom: 0;
}

.page-404__container {
  overflow: visible;
  height: fit-content;
}

.page-404__content {
  text-align: left;
}

.page-404__content h1 {
  color: #0C0E19;
  font-size: 120px;
  font-family: 'Montserrat';
  font-weight: 700;
  letter-spacing: -1px;
  margin-bottom: 24px;
}

.page-404__content h2 {
  color: #0C0E19;
  font-size: 36px;
  font-family: 'Montserrat';
  font-style: normal;
  font-weight: 700;
  letter-spacing: -2px;
  margin-bottom: 24px;
}

.page-404__content p {
  color: #303651;
  font-size: 16px;
  font-family: 'Inter';
  font-weight: 500;
  line-height: 24px;
  margin-bottom: 24px;
}

.page-404__content a {
  height: 48px;
  width: 163px;
  padding: 6px 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  background: linear-gradient(142deg, #F00 0%, #F70 100%);
  box-shadow: 0px 2px 0px 0px rgba(12, 14, 25, 0.16);
  color: white;
  text-align: center;
  font-size: 16px;
  font-family: 'Inter';
  font-weight: 700;
  line-height: 20px;
  transition: all 0.2s ease-in-out;
}

.page-404__content a:hover {
  color: white;
  text-decoration: none;
  filter: brightness(1.3);
  transition: all 0.2s ease-in-out;
}

.page-404__image {
  position: relative;
  height: 398px;
}

.page-404__image img {
  max-width: 100%;
  width: 466px;
  position: absolute;
  top: 65px;
  left: 23px;
}


@media (max-width: 767px) {
  .page-404 {
    padding: 50px 0;
  }

  .page-404 .curved-bottom {
    min-width: 100%;
    transform: translateY(185px) translateX(-50%);
  }

  .page-404__inner {
    flex-direction: column;
  }

  .page-404__content {
    text-align: center;
    width: 100%;
  }

  .page-404__content h1 {
    font-size: 70px;
    margin-bottom: 14px;
  }

  .page-404__content h2 {
    font-size: 29px;
  }

  .page-404__content a {
    margin: 0 auto;
  }

  .page-404__image {
    height: auto;
    margin-top: 30px;
  }

  .page-404__image img {
    position: relative;
    width: 85%;
    top: 0;
    left: 0;
    margin: 0 auto;
    display: block;
  }
}